Bug 11564 - auto_ptr::operator=( const auto_ptr &) does not return a value.
Summary: auto_ptr::operator=( const auto_ptr &) does not return a value.
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libstdc++   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-21 22:39 UTC by fwx
Modified: 2007-04-18 16:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 15:48:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description fwx 2000-05-21 22:39:04 UTC
auto_ptr::operator=( const auto_ptr &) is supposed to return *this, but the
implementation that ships with Red Hat 6.2 does not return any value.  This
is in violation of its own function prototype, so it produces warnings when
used with g++ -Wall.

Comment 1 Cristian Gafton 2000-05-22 14:52:59 UTC
assign to jakub

Comment 2 Benjamin Kosnik 2004-10-01 15:48:36 UTC
Fixed 3.2/3.3/3.4.

-benjamin


Note You need to log in before you can comment on or make changes to this bug.